<!--
 * @Author: WangJiaCheng
 * @Date: 2021-09-14 16:24:04
 * @LastEditors: wjc
 * @LastEditTime: 2021-09-24 16:43:31
 * @Description: 属性面板
-->
<template>
  <div class="attribute-panel">
    <form-attribute-panel
      :show-field="true"
      :active-data="activeData"
      :form-conf="formConf"
      @fetch-data="fetchData"
    />
  </div>
</template>

<script>
import FormAttributePanel from './FormAttributePanel.vue'

export default {
  name: 'AttributePanel',
  components: {
    FormAttributePanel
  },
  props: {
    dragList: {
      type: Array,
      default() {
        return []
      }
    },
    activeData: {
      type: Object,
      default() {
        return {
          __config__: {}
        }
      }
    }
  },
  data() {
    return {
      formConf: {},
      visible: false
    }
  },
  methods: {
    fetchData() {
    }
  }
}
</script>

<style lang="less">
 .attribute-panel {
   width: 20%;
   .field-box {
    height: calc(100% - 100px);
    overflow: scroll;
   }
 }
</style>
